#
#	projetc_properties.tcl
#	This file contains the general project properties such as the project name and
# the directory where Vivado is doing it's job
#

set proj_name spec7_write_top
set proj_dir work
set script_dir [pwd]/../../../sw/scripts
set lm32_wrpc_initf [pwd]/../../../sw/precompiled/wrps-sw_spec7/wrc.bram
set lm32_wrpc_elf [pwd]/../../../sw/precompiled/wrps-sw_spec7/wrc.elf
set lm32_wrpc_instpath "lm32_wrpc_memory"

set g_use_pps_in_single FALSE

# Translate True/False into boolean values 1'b1, 1'b0, that are accepted by Vivado 
if {$g_use_pps_in_single} {
    set g_use_pps_in_single 1'b1
} else {
    set g_use_pps_in_single 1'b0
}

# update revision except when argument "no_update_revison" is passed (as for example by viv_do_programm.tcl)
if {$argc == 0 || $argv != "no_update_revision"} {
  source $script_dir/revisiondate.tcl

  set generics "g_dpram_initf=$lm32_wrpc_initf \
                g_use_pps_in_single=$g_use_pps_in_single"
}
             
# SPEC7 equipped with ZYNQ XC7Z035FBG676-1 (speed grade -1 has lowest performance)
set device xc7z035fbg676-1
#set device xc7z030fbg676-1
